import { ConcurrencyException } from "./concurrency.exception";
/**
 * Exception when a synchronization class is interrupted
 */
export declare class ConcurrencyInterruptedException extends ConcurrencyException {
    private readonly reason;
    /**
     * Creates an exception when a synchronization class is interrupted
     *
     * @param reason The reason of the interruption
     * @param message An optional message for the exception
     */
    constructor(reason: unknown, message?: string);
    /**
     * @returns an additional information about the interruption
     */
    getReason<T>(): T;
}
